Skip to main content
GET
/
logs
List log traces
curl --request GET \
  --url https://api.adaline.ai/v2/logs \
  --header 'Authorization: Bearer <token>'
{
  "pagination": {
    "limit": 123,
    "returned": 1,
    "hasMore": true,
    "nextCursor": "<string>"
  },
  "traces": [
    {
      "id": "<string>",
      "name": "<string>",
      "status": "success",
      "startedAt": 17450965800000,
      "endedAt": 17450965800000,
      "latency": 123,
      "referenceId": "<string>",
      "sessionId": "<string>",
      "attributes": {},
      "tags": [
        "<string>"
      ],
      "totalCost": 123,
      "totalInputTokens": 123,
      "totalOutputTokens": 123,
      "spanIds": [
        "<string>"
      ],
      "createdAt": 17450965800000,
      "updatedAt": 17450965800000
    }
  ]
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Query Parameters

projectId
string
required

The project to list logs for. Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
startedAfter
integer

Filter traces started after this Unix timestamp (ms).

Required range: x >= 0
startedBefore
integer

Filter traces started before this Unix timestamp (ms).

Required range: x >= 0
status
enum<string>

Filter by trace status.

Available options:
success,
failure,
aborted,
cancelled,
pending,
unknown
name
string

Filter by trace name.

Required string length: 1 - 256
referenceId
string

Filter by reference ID.

Required string length: 1 - 128
sessionId
string

Filter by session ID.

Required string length: 1 - 128
sort
enum<string>

Sort order for results.

Available options:
startedAt:asc,
startedAt:desc
limit
integer

Maximum number of results to return (1-200, default 50).

Required range: 1 <= x <= 200
cursor
string

Pagination cursor from a previous response.

Minimum string length: 1
filters
string

JSON-encoded array of filter objects (max 20). Each filter has type, column, operator, and value.

Response

Log traces retrieved successfully.

Paginated list of log traces.

pagination
Pagination · object
required

Pagination metadata for list endpoints with cursor-based navigation.

traces
Log Trace Item · object[]
required

Array of log trace items.